Skip to main content
PATCH
/
apps
/
{appId}
Update App
curl --request PATCH \
  --url https://api.vela.dev/v1/apps/{appId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Orders v2",
  "slug": "orders-v2"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "slug": "<string>",
  "apiKeyPrefix": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Client secret for management API access. Format: vela_cs_...

Path Parameters

appId
string
required

App UUID or slug

Body

application/json
name
string

New display name

slug
string

New slug

Response

Updated app

id
string<uuid>

App identifier

accountId
string<uuid>

Associated account

name
string

App display name

slug
string

URL-friendly identifier

apiKeyPrefix
string

Prefix of the current API key

createdAt
string<date-time>
updatedAt
string<date-time>